Summary:	Bibliography reference management tool for GNOME
Name:		referencer
Version:	1.2.1
Release:	%mkrel 3
Source0:	https://launchpad.net/referencer/1./%{version}/+download/%{name}-%{version}.tar.gz
License:	GPLv2
Group:		Graphical desktop/GNOME
URL:		https://launchpad.net/referencer/
BuildRequires: pkgconfig(gconfmm-2.6) >= 2.12.0
BuildRequires: pkgconfig(gtkmm-2.4) >= 2.22.0
BuildRequires: pkgconfig(libxml-2.0) >= 2.7.6
BuildRequires: pkgconfig(poppler-glib) >= 0.16.0
BuildRequires:	gnome-doc-utils >= 0.3.2
BuildRequires:	boost-devel
BuildRequires:	desktop-file-utils
BuildRequires:	python-devel
BuildRequires:	imagemagick
BuildRequires:	intltool
BuildRequires:	gettext-devel

%description
Referencer is a GNOME application to organise documents or references, and 
ultimately generate a BibTeX bibliography file.

%prep
%setup -q

%build
%configure2_5x --disable-update-mime-database
%make

%install
%makeinstall_std

# fd.o icons
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{scalable,48x48,32x32,16x16}/apps
install -m 644 %{buildroot}%{_datadir}/pixmaps/%{name}.svg %{buildroot}%{_iconsdir}/hicolor/scalable/apps/%{name}.svg
convert -scale 48 data/referencer.svg %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 data/referencer.svg %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 data/referencer.svg %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

# menu
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*
%find_lang %{name} --with-gnome --all-name

%files -f %{name}.lang
%doc README AUTHORS ChangeLog TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_iconsdir}/hicolor/48x48/mimetypes/gnome-mime-application-x-%{name}.png
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/omf/*/*-C.omf
%lang(de) %{_datadir}/omf/*/*-de.omf


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.2.1-3.mga4
+ Revision: 529271
- Mageia 4 Mass Rebuild

* Mon Jul 08 2013 fwang <fwang> 1.2.1-2.mga4
+ Revision: 451209
- rebuild for new boost
- drop unused pic

* Sat Jun 01 2013 fwang <fwang> 1.2.1-1.mga4
+ Revision: 433916
- new version 1.2.1

* Wed Apr 10 2013 barjac <barjac> 1.1.6-17.mga3
+ Revision: 409468
- rebuild for boost-1.53

* Mon Jan 14 2013 umeabot <umeabot> 1.1.6-16.mga3
+ Revision: 380279
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 cjw <cjw> 1.1.6-15.mga3
+ Revision: 338394
- patch1: fix build with automake 1.13
- update poppler patch for poppler 0.22

* Thu Dec 20 2012 fwang <fwang> 1.1.6-14.mga3
+ Revision: 333102
- rebuild for new boost

* Mon Dec 03 2012 cjw <cjw> 1.1.6-13.mga3
+ Revision: 325746
- add poppler 0.21 to patch0 to fix build failure

* Fri Aug 03 2012 fwang <fwang> 1.1.6-12.mga3
+ Revision: 278088
- recognize more recent poppler
- rebuild for new boost

* Wed May 30 2012 fwang <fwang> 1.1.6-11.mga3
+ Revision: 250149
- br gettext-devel
- rebuild for new boost

* Mon Nov 28 2011 fwang <fwang> 1.1.6-10.mga2
+ Revision: 173637
- rebuild for new boost

* Tue Sep 27 2011 ovitters <ovitters> 1.1.6-9.mga2
+ Revision: 149635
- update patch for poppler 0.18
- rebuild for new poppler

  + fwang <fwang>
    - rebuild for new boost

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Wed Jun 22 2011 fwang <fwang> 1.1.6-7.mga2
+ Revision: 112011
- rebuild for new boost

* Thu Apr 21 2011 cjw <cjw> 1.1.6-6.mga1
+ Revision: 89632
- imported package referencer


* Thu Dec 30 2010 Funda Wang <fwang@mandriva.org> 1.1.6-5mdv2011.0
+ Revision: 626183
- autoreconf
- fix build with poppler 1.16.0
- rebuild for new poppler

* Wed Nov 03 2010 Michael Scherer <misc@mandriva.org> 1.1.6-4mdv2011.0
+ Revision: 592702
- rebuild for python 2.7

* Tue Aug 24 2010 Funda Wang <fwang@mandriva.org> 1.1.6-3mdv2011.0
+ Revision: 572619
- rebuild

* Mon Feb 08 2010 Anssi Hannula <anssi@mandriva.org> 1.1.6-2mdv2011.0
+ Revision: 501882
- rebuild for new boost

* Fri Aug 21 2009 Funda Wang <fwang@mandriva.org> 1.1.6-1mdv2010.0
+ Revision: 418948
- New version 1.1.6
- rebuild for new libboost

* Tue May 19 2009 Götz Waschk <waschk@mandriva.org> 1.1.5-5mdv2010.0
+ Revision: 377495
- rebuild for new poppler

* Thu Mar 26 2009 Funda Wang <fwang@mandriva.org> 1.1.5-4mdv2009.1
+ Revision: 361289
- rebuild for new boost

* Sat Dec 27 2008 Michael Scherer <misc@mandriva.org> 1.1.5-3mdv2009.1
+ Revision: 319918
- rebuild for new python

* Sat Dec 20 2008 Funda Wang <fwang@mandriva.org> 1.1.5-2mdv2009.1
+ Revision: 316578
- rebuild for new boost

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Tue Oct 14 2008 Funda Wang <fwang@mandriva.org> 1.1.5-1mdv2009.1
+ Revision: 293456
- BR intltool
- new version 1.1.5
- drop upstream patches

* Thu Sep 25 2008 Frederik Himpe <fhimpe@mandriva.org> 1.1.3-4mdv2009.0
+ Revision: 288220
- Add 2 upstream patches (via Debian) fixing a crash and bibtex
  export

* Tue Aug 19 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1.3-3mdv2009.0
+ Revision: 273512
- rebuild against new boost

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.1.3-2mdv2009.0
+ Revision: 269218
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed May 28 2008 Frederik Himpe <fhimpe@mandriva.org> 1.1.3-1mdv2009.0
+ Revision: 212723
- update to new version 1.1.3

* Thu May 01 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.2-1mdv2009.0
+ Revision: 199865
- new release 1.1.2

* Fri Mar 14 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.1-1mdv2008.1
+ Revision: 187969
- new release 1.1.1

* Sat Mar 01 2008 Adam Williamson <awilliamson@mandriva.org> 1.1.0-1mdv2008.1
+ Revision: 177116
- buildrequires python-devel
- update file list
- correct wrong macro in %%postun
- drop old mdv icons
- fix poppler-glib buildrequire
- drop externally sourced French translation and poppler.patch (both merged upstream)
- minor spec clean
- new release 1.1.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.4-2mdv2008.0
+ Revision: 82970
- drop X-Mandriva menu category
- Fedora license policy
- add patch0 - from upstream svn, fixes build with poppler 0.6
- add source2 - french translation from Launchpad (Ubuntu)
- spec clean

* Thu May 31 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.4-1mdv2008.0
+ Revision: 33288
- new release 1.0.4

* Mon Apr 30 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.3-2mdv2008.0
+ Revision: 19614
- use --disable-update-mime-database, package reflib type

* Sun Apr 29 2007 Adam Williamson <awilliamson@mandriva.org> 1.0.3-1mdv2008.0
+ Revision: 19326
- create /scalable dir for icon
- 1.0.3; update MIME cache in %%post; generate full icon set


* Mon Mar 05 2007 Adam Williamson <awilliamson@mandriva.com> 1.0.2-2mdv2007.0
+ Revision: 132831
- bump mkrel
- change menu category: fixes 2007 backport, but this is also more correct on Cooker

* Mon Mar 05 2007 Adam Williamson <awilliamson@mandriva.com> 1.0.2-1mdv2007.1
+ Revision: 132825
- fix more BuildRequires
- fix BuildRequires
- work around MIME brokenness
- Import referencer

